# Get Settings

> Use this endpoint to retrieve the list of key-value pairs for email and authentication settings.

Use this endpoint to retrieve the list of key-value pairs for email and authentication settings.

## API Endpoint

`GET` `https://{yourDomain}/{organizationName}/identity/api/Setting`

## Scopes

Requires the following scopes:

* PM.Setting
* PM.Setting.Read

## Request Headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described [here](https://docs.uipath.com/orchestrator/standalone/2024.10/api-GuidE/authentication-methods#authentication-methods).
:::

## Query Parameters

| Query param | Data type | Description |
| --- | --- | --- |
| `key`  (optional) | String | Enter the name of the setting you want to retrieve.  For example, to retrieve the SMTP Domain setting, enter `key=Email.Smtp.Domain`. |
| `partitionGlobalId`  (optional) | String | The ID of the organization you want to retrieve the settings for. |
| `userId`  (optional) | String | The ID of the user you want to retrieve the settings for. |

## Responses

### 200 OK

Returns the queried robot accounts.

## Example Request

Let's say you gathered all the information needed to build the API call.

* Your `{baseURL}` is: `https://{yourDomain}/{organizationName}/{tenantName}/`
* Your `{access_token}` is: `1234` (for length considerations).
* The `{partitionGlobalId}` is: `magic-7`
* You want to retrieve the global email settings, so you log in as the host admin. In this case, you don't provide a `userID`.

The call should look like below (cURL):

```
curl --location --request GET 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/Setting?partitionGlobalId=magic-7&key=Email.Smtp.Domain&key=Email.Smtp.EnableSsl&key=Email.Smtp.FromDisplayName&key=Email.Smtp.FromEmail&key=Email.Smtp.Host&key=Email.Smtp.Password&key=Email.Smtp.Port&key=Email.Smtp.UseDefaultCredentials&key=Email.Smtp.UserName' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
```

Here's the response body for a successful call:

```
[
    {
        "id": 6,
        "key": "Email.Smtp.FromEmail",
        "value": "newalerts.uipath@gmail.com",
        "partitionGlobalId": "magic-7",
        "userId": null
    },
    {
        "id": 7,
        "key": "Email.Smtp.FromDisplayName",
        "value": "Hogwarts server - 21.10 - Clean",
        "partitionGlobalId": "magic-7",
        "userId": null
    },
    {
        "id": 15,
        "key": "Email.Smtp.Domain",
        "value": "",
        "partitionGlobalId": "magic-7",
        "userId": null
    },
    {
        "id": 16,
        "key": "Email.Smtp.EnableSsl",
        "value": "true",
        "partitionGlobalId": "magic-7",
        "userId": null
    },
    {
        "id": 17,
        "key": "Email.Smtp.Port",
        "value": "587",
        "partitionGlobalId": "magic-7",
        "userId": null
    },
    {
        "id": 18,
        "key": "Email.Smtp.UseDefaultCredentials",
        "value": "false",
        "partitionGlobalId": "magic-7",
        "userId": null
    },
    {
        "id": 19,
        "key": "Email.Smtp.UserName",
        "value": "newalerts.uipath@gmail.com",
        "partitionGlobalId": "magic-7",
        "userId": null
    },
    {
        "id": 20,
        "key": "Email.Smtp.Host",
        "value": "smtp.gmail.com",
        "partitionGlobalId": "magic-7",
        "userId": null
    },
    {
        "id": 21,
        "key": "Email.Smtp.Password",
        "value": "protego-spell",
        "partitionGlobalId": "magic-7",
        "userId": null
    }
]
```
